
.accordion-container {
  display: flex;
  flex-direction: column;
  gap: var(--space-8);
}
.accordion-container summary::-webkit-details-marker {
  display: none;
}

.accordion-container details summary {
  display: block;
  border-bottom: 1px solid var(--dark-blue);
  padding: var(--space-8);
}

.accordion-container details .summary-title {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.accordion-container .tab-content {
  box-sizing: border-box;

  max-height: 0 !important;
  overflow: hidden;
  padding: 0 10px;
}

.accordion-container details[open] + .tab-content {
  max-height: 2500px !important;
  margin-top: var(--space-24);
}

.accordion-container details[open] .arrow {
  transform: rotate(180deg);
}

.accordion-container details.arrow {
  width: 20px;
  height: 20px;
  pointer-events: none;

  transform-origin: center;

  transition: transform 0.3s ease;
}

.accordion-container details.arrow-icon {
  width: 100%;
  height: 100%;

  fill: var(--extra-white);
}

.accordion-container summary.arrow.open {
  transform: rotate(180deg);
}

.accordion-container summary .arrow {
  width: 20px;
  height: 20px;
  pointer-events: none;

  transform-origin: center;

  transition: transform 0.3s ease;
}

.accordion-container summary.arrow-icon {
  width: 100%;
  height: 100%;

  fill: var(--extra-white);
}